<?php

namespace App\Http\Controllers\Api\Contacto;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

class ContactoController extends Controller
{
    public function sendContacto()
    {
        $entityBody = file_get_contents('php://input');
        $body = json_decode($entityBody, true);


        $response["error"] = true;
        if ( $body['language'] == "es" ) {
            $response["message"] = "No hemos podido enviar tu mensaje, intentalo nuevamente más tarde.";
        } else {
            $response["message"] = "We were unable to send your message, please try again later.";
        }

        $soap_do = curl_init();
        curl_setopt($soap_do, CURLOPT_URL, 'https://www.google.com/recaptcha/api/siteverify?secret=6LeI-f8kAAAAABEEm3rjTY-lLfTYUSLG1AEg7LpY&response=' . $body['captcha']);
        curl_setopt($soap_do, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($soap_do, CURLOPT_ENCODING, '');
        curl_setopt($soap_do, CURLOPT_MAXREDIRS, 10);
        curl_setopt($soap_do, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($soap_do, CURLOPT_TIMEOUT, 0);
        curl_setopt($soap_do, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($soap_do, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
        $result = curl_exec($soap_do);
        $responseData = json_decode($result, true);
        curl_close($soap_do);

        if ($responseData['success']) {
            $mail = new PHPMailer(true);
            $mail->Host = "smtp.office365.com";
            $mail->Port       = 587;
            $mail->SMTPSecure = '';
            $mail->SMTPAuth   = true;
            $mail->IsHTML(true);
            //$mail->SMTPDebug  = 2;
            
            $mail->Username = "portal.sanjuan@carnessanjuan.com";   
            $mail->Password = "Portal.s2023";
            $mail->SetFrom('portal.sanjuan@carnessanjuan.com', 'Portal CFSJ');
            $mail->addReplyTo('portal.sanjuan@carnessanjuan.com', 'Portal CFSJ');
            
            $mail->Subject = "CFSJ Contacto";
            $mail->Body = 'Nombre: ' . $body['name'] . ' <br />
                        Correo: ' . $body['mail'] . '<br />
                        Teléfono: ' . $body['phone'] . '<br />
                        Mensaje: ' . $body['message'];
            $mail->AddAddress("sugerencias@carnessanjuan.com", "Sugerencias CFSJ");
            $mail->addBCC('informes@carnessanjuan.com', 'Informes CFSJ');
            $mail->addBCC('leads@metodika.mx', 'Leads');
            $mail->addBCC('mauricio.salinas@metodika.mx', 'Mauricio');
            $mail->addBCC('carlos.betancourt@metodika.mx', 'Carlos');
            
            try {
                $mail->Send();
                $response["error"] = false;
                if ( $body['language'] == "es" ) {
                    $response["message"] = "Hemos recibido tu mensaje, a la brevedad nos comunicaremos contigo.";
                } else {
                    $response["message"] = "We have received your message, we will contact you as soon as possible.";
                }
            } catch (phpmailerException $e) {
                $response["error"] = true;
                $response["message"] = $e->errorMessage(); //Pretty error messages from PHPMailer
            } catch (Exception $e) {
                $response["error"] = true;
                $response["message"] = $e->getMessage(); //Boring error messages from anything else!
            }
        } else {
            $response["error"] = true;
            if ( $body['language'] == "es" ) {
                $response["message"] = "No pudimos validar el captcha con Google";
            } else {
                $response["message"] = "We could not validate the captcha with Google";
            }
        }

        return response()
            ->json([
                'error' => $response["error"],
                'message' => $response["message"],
                'data' => []
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
}
