@extends('back.layout.dashboard')
@section('contentTitle', 'Alta de producto')
@section('topButton')
    <a href="{{ route('productosSecciones.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop
@section('content_dashboard')
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                {{ Form::open(['route' => 'productosSecciones.store', 'class' => 'form-horizontal', 'enctype' => 'multipart/form-data']) }}
                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="">*Titulo:</label>
                                <input type="text" name="titulo" id="titulo" class="form-control">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="">*Sección:</label>
                                <select name="seccion" id="seccion" class="form-control">
                                    <option value="">Sección</option> 
                                    @foreach ( $secciones as $item )
                                        <option value="{{ $item->id }}">{{ $item->seccion }}</option> 
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="">*Imagen:</label>
                                <input type="file" name="img" id="img" accept="image/*" class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="">*Descripción:</label>
                                <textarea name="desc" id="desc" rows="20" class="form-control" ></textarea>
                            </div>
                        </div>
                    </div>
                    
                    <button type="submit" class="btn btn-primary">Guardar</button>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop
@section('JS')
    {{ Html::script('system/js/form.js')  }}
    <script src="/assets/node_modules/tinymce/tinymce.min.js"></script>
    <script>tinymce.init({selector:'textarea#desc',  language: 'es',  branding: false,  plugins: [
        'link image imagetools table  hr  paste  emoticons media fullscreen insertdatetime lists advlist preview quickbars visualblocks wordcount code'
    ],imagetools_toolbar: "quickimage rotateleft rotateright | flipv fliph | editimage imageoptions ", media_live_embeds: true,  
    toolbar: 'undo redo | styleselect | bold italic pre numlist  bullist checklist | forecolor backcolor casechange permanentpen formatpainter removeformat |   alignleft aligncenter alignright alignjustify | outdent indent | code quickimage table media emoticons fullscreen visualblocks wordcount',
    toolbar_drawer: 'floating',
    quickbars_insert_toolbar: false,
    image_advtab: true
    });
  </script>
@stop
